com.lowagie.text.pdf

## Class BarcodePDF417.Segment

- java.lang.Object
- - com.lowagie.text.pdf.BarcodePDF417.Segment

Enclosing class:
  BarcodePDF417

    protected static class BarcodePDF417.Segment
    extends java.lang.Object

### Field Summary

Fields
`int` `end`
`int` `start`
`char` `type`

### Constructor Summary

Constructors
Constructor and Description
`BarcodePDF417.Segment(char type, int start, int end)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### type

    public char type

#### start

    public int start

#### end

    public int end

### Constructor Detail

#### BarcodePDF417.Segment

    public BarcodePDF417.Segment(char type,
                         int start,
                         int end)